Subject: Re: [RFC] ip / ifconfig redesign

From: John Heffner <[email-masked]>
Date: Mon, 05 Dec 2005 17:30:54 -0500

Rick Jones wrote:
> That's the discussion related to things like the "Strong ES" (end 
> system) model right?  As such, isn't that discussing what _IP_ may do 
> rather than what ARP may do?  1122 doesn't say much about the 
> interfaces/MAC's that should be part of a given ARP reply.  ARP seems to 
> be RFC 826 and probably others, and the algorithm described in 826 
> doesn't seem to be specific on the topic of interfaces - at least not to 
> my really brief read.
> 
> rick jones

Yes, but if an interface will accept packets for a certain IP address, 
and will send packets with that IP address, is there any reason it can't 
ARP for that address?

   -John